services:
  hlds:
    # 📣 Adjust the image value here with the desired game you want the server to use. Options include:
     🔧 jives/hlds:valve (Half-Life Deathmatch)
    # 🔧 jives/hlds:cstrike (Counter-Strike)
    # 🔧 jives/hlds:czero (Counter-Strike: Condition Zero)
    # 🔧 jives/hlds:dmc (Deathmatch Classic)
    # 🔧 jives/hlds:gearbox (Half-Life Opposing Force)
    # 🔧 jives/hlds:ricochet (Ricochet)
    # 🔧 jives/hlds:dod (Day of Defeat)
    # 🔧 jives/hlds:tfc (Team Fortress Classic)
    # 🔧 jives/hlds:valve-legacy (Half-Life Deathmatch) (Pre 25th Anniversary Edition)
    # 🔧 jives/hlds:cstrike-legacy (Counter-Strike) (Pre 25th Anniversary Edition)
    # 🔧 jives/hlds:czero-legacy (Counter-Strike: Condition Zero) (Pre 25th Anniversary Edition)
    # 🔧 jives/hlds:tfc-legacy (Team Fortress Classic) (Pre 25th Anniversary Edition)
    image: jives/hlds:valve
    # 📣 Learn more about these volumes in the advanced setup guides: https://github.com/JamesIves/hlds-docker?tab=readme-ov-file#advanced-setup-%EF%B8%8F
    volumes:
      - "/docker-data/hlds/config:/temp/config"
      - "/docker-data/hlds/mods:/temp/mods"
    ports:
      - "27015:27015/udp"
      - "27015:27015"
      - "26900:2690/udp"
    environment:
      - GAME=${GAME}
    # 📣 Modify your server startup commands here, you can add more flags as needed (see: https://developer.valvesoftware.com/wiki/Half-Life_Dedicated_Server),
    # 📣 Remember: Stating map is based on the game, and will likely be different between images.
    # 📣 You should also modify the rcon_password value so you can use server admin commands.
    command: +log on +rcon_password "changeme" +maxplayers 12 +map crossfire